> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-6/v6-9-0-68227.md).

# Version 6.9.0.68227 Changelog (November 5th, 2018)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

* Version: 6.9.0.68227
* Release Date: November 5th, 2018
* Built with Xcode 10.0 (10A254a)

### New

* Adds a [reflow control](https://sdk.apryse.com/api/ios/Classes/PTReflowViewController.html), which converts the displayed PDF to HTML text suitable for viewing on a small device. The original PDF font and text styling (relative font sizes, bolding, etc.) is preserved, and text annotations (highlights, underlines, etc.) are visible.
* [File coordination](/ios/viewer/viewer/file-coordination.md) is now supported by the drop-in complete reader components, [`PTDocumentViewController`](https://sdk.apryse.com/api/ios/Classes/PTDocumentViewController.html) and [`PTTabbedDocumentViewController`](https://sdk.apryse.com/api/ios/Classes/PTTabbedDocumentViewController.html) via the new class [`PTCoordinatedDocument`](https://sdk.apryse.com/api/ios/Classes/PTCoordinatedDocument.html). See the file coordination guide for more information and example usage, as well as the Complete Reader sample project.
* The Complete Reader sample project now uses Apple's [`UIDocumentBrowserViewController`](https://developer.apple.com/uikit/uidocumentbrowserviewcontroller/) file picker on iOS 11+. This gives users access to other apps' files, as well as iCloud and (if installed) other cloud provider files (such as Dropbox, Google Drive, etc.)
* The Complete Reader sample project is now available in both Swift and Objective-C.
* The drop-in complete reader components [`PTDocumentViewController`](https://sdk.apryse.com/api/ios/Classes/PTDocumentViewController.html) and [`PTTabbedDocumentViewController`](https://sdk.apryse.com/api/ios/Classes/PTTabbedDocumentViewController.html) now support opening and streaming documents from online (http) URLs. See the [Open from online URL](/ios/viewer/view-online-pdfs.md) guide for more information.
* Opening documents from online URLs will now optionally only download content which the viewer is displaying. This will result in data transfer savings when viewing documents over a cellular/mobile connection. See the [guide](/ios/viewer/view-online-pdfs.md#restrict-data-usage) and options available on [`openUrlAsync(_ url:, withPDFPassword:, withCacheFile:, withOptions)`](https://sdk.apryse.com/api/ios/Classes/PTPDFViewCtrl.html#/c:objc\(cs\)PTPDFViewCtrl\(im\)OpenUrlAsync:WithPDFPassword:WithCacheFile:WithOptions:).
* The [`ToolManager`](https://sdk.apryse.com/api/ios/Classes/PTToolManager.html) includes \[annotation related notifications]\(<https://sdk.apryse.com/api/ios/PTToolManager> Notifications.html), as well as a [`readonly`](https://sdk.apryse.com/api/ios/Classes/PTToolManager.html#/c:objc\(cs\)PTToolManager\(py\)readonly) flag to quickly disable annotation creation and editing.
* The `PTTabbedDocumentViewController` now provides improved access to `PTDocumentViewController` APIs for better control over its behaviour.

### Bug fixes

* Miscellaneous bug fixes, including:
  * A fix for find text highlight positioning when zoomed in.
  * A fix for where repeated rapid zooming could result in a small version of the page in the upper left hand corner of the page.
  * A fix for where the `PTTabbedDocumentViewController` tab bar could sometimes appear disconnected from the navigation bar


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/changelogs/version-6/v6-9-0-68227.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
